﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace Museum
{
    /// <summary>
    /// Логика взаимодействия для AdminPanel.xaml
    /// </summary>
    public partial class AdminPanel : Window
    {
        public AdminPanel()
        {
            InitializeComponent();
            WelcomeText.Content = $"Здравствуй, {UserSaveData.Name}";
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            if (Convert.ToDateTime(DateEvent.Text) < DateTime.Now)
            {
                MessageBox.Show("Нельзя назначать мероприяте\nНа дни которые уже прошли!");
            }
            else
            {
                Museum_MatveyContext context = new Museum_MatveyContext();
                if (NameEvent.Text != "" && PriceEvent.Text != "")
                {
                    var events = context.ListEvents;

                    ListEvent newEvent = new ListEvent()
                    {
                        NameEvents = NameEvent.Text,
                        DiscriptionEvents = DiscriptEvent.Text,
                        DateEvents = Convert.ToDateTime(DateEvent.Text),
                        NumberSeats = Convert.ToInt32(ColvoMestEvent.Text),
                        StatusEvents = "Активный",
                        PriseEvents = Convert.ToDecimal(PriceEvent.Text),
                        PhoneNumber = PhoneNumEvent.Text,
                    };
                    events.Add(newEvent);
                    context.SaveChanges();

                    MessageBox.Show("Мероприятие успешно добавленно!");
                }
                else
                {
                    MessageBox.Show("Что то не так!\nВсе поля должны быть заполнены!");
                }
            }
        }

        private void Button_Click_1(object sender, RoutedEventArgs e)
        {
            Login login = new Login();
            login.Show();
            this.Hide();
        }
    }
}
